<?xml version="1.0"?>

<project name="minime-common" default="run" basedir=".">
<property name="path.minime" value="D:\lionel\java\trunk\main\midletme" />
	<property name="build-common" value="${path.minime}/build" />
	<property name="tools" value="${path.minime}/tools" />
	    
	<property file="${build-common}/minime.common.properties"/>
	<taskdef name="parseText" classname="TxtToBinary" classpath="${tools}/minime-ant-task/class"/>
	<taskdef name="parseImage" classname="ImgToBinary" classpath="${tools}/minime-ant-task/class"/>
	    	
	<target name="run">
		<parseText fileName="${path.minime.rsc}/text.${txt.rsc.file}" todir="${path.minime.src}" javaFileName="minime/gen/TextRscId.java"/>
		<parseImage fileName="${path.minime.rsc}/image.${img.rsc.file}" todir="${path.minime.src}"  javaFileName="minime/gen/ImageRscId.java"/>
	</target>
</project>